Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
install tg/telegram-cli on linux
#!/bin/bash
git clone --recursive https://github.com/vysheng/tg.git && \
cd tg && \
sudo apt-get update -y && sudo apt-get install libreadline-dev libconfig-dev libssl-dev lua5.2 liblua5.2-dev libevent-dev libjansson-dev libpython-dev make && \
./configure && \
make && \
cd ./bin && \
./telegram-cli
@MMMolY
Copy link

MMMolY commented Aug 23, 2018

@vlaktion @greg-benner-klick-sensei
Problem can be fixed by adding --disable-openssl when configure.
./configure --disable-openssl

but first of all u must install libgcrypt11-dev, also zlib1g-dev is needed for successful process

So all must be like dat one (@ianklatzco):

#!/bin/bash
git clone --recursive https://github.com/vysheng/tg.git && \
cd tg && \
sudo apt-get update -y && sudo apt-get install libreadline-dev libconfig-dev libssl-dev lua5.2 liblua5.2-dev libevent-dev libjansson-dev libpython-dev zlib1g-dev libgcrypt11-dev make && \
./configure --disable-openssl && \
make && \
cd ./bin && \
./telegram-cli

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment